# project name is different at github
%global project_name user-admin

Name:          mate-user-admin
Version:       1.4.1
Release:       1%{?dist}
Summary:       User management tool
License:       GPLv3+ 
URL:           https://github.com/zhuyaliang/%{project_name}

# downloading the tarball
# spectool -g mate-user-admin.spec
Source0:       %url/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: accountsservice-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: group-service-devel
BuildRequires: gtk3-devel
BuildRequires: libpwquality-devel
BuildRequires: libxcrypt-devel
BuildRequires: mate-desktop-devel
BuildRequires: meson
BuildRequires: polkit-devel

%description
Mate User management tool


%prep
%autosetup -p1 -n %{project_name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install                               \
  --delete-original                                \
  --dir %{buildroot}%{_datadir}/applications    \
  %{buildroot}%{_datadir}/applications/mate-user-admin.desktop

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/mate-user-admin
%{_datadir}/applications/mate-user-admin.desktop
%{_datadir}/mate-user-admin/
%{_datadir}/icons/hicolor/*/apps/user-admin.png
%{_datadir}/polkit-1/actions/org.mate.user.admin.policy


%changelog
* Mon Mar 25 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.4.1-1
- update to 1.4.1

* Thu Jan 24 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.3.1-1
- update to 1.2.1

* Thu Dec 13 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.2.1-1
- update to 1.2.1

* Tue Sep 11 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.1.1-1
- update to 1.1.1

* Mon Sep 03 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.0.0-1
- initial package build

